Index: main/trunk/greenstone2/build-src/packages/Makefile
===================================================================
--- main/trunk/greenstone2/build-src/packages/Makefile	(revision 29365)
+++ main/trunk/greenstone2/build-src/packages/Makefile	(revision 29366)
@@ -38,5 +38,5 @@
 
 PACKAGEDIRS +=	rtftohtml/rtftohtml_src pdftohtml/pdftohtml_gs \
-		wget/wget-1.13.4 cpan/XML-Parser-2.41 \
+		wget/wget-1.15-gs cpan/XML-Parser-2.41 \
 		xlhtml/xlhtml-0.4.9.0 isis-gdl html-tidy/tidy
 
Index: main/trunk/greenstone2/build-src/packages/Makefile.in
===================================================================
--- main/trunk/greenstone2/build-src/packages/Makefile.in	(revision 29365)
+++ main/trunk/greenstone2/build-src/packages/Makefile.in	(revision 29366)
@@ -38,5 +38,5 @@
 
 PACKAGEDIRS +=	rtftohtml/rtftohtml_src pdftohtml/pdftohtml_gs \
-		wget/wget-1.13.4 cpan/XML-Parser-2.41 \
+		wget/wget-1.15-gs cpan/XML-Parser-2.41 \
 		xlhtml/xlhtml-0.4.9.0 isis-gdl html-tidy/tidy
 
Index: main/trunk/greenstone2/build-src/packages/configure
===================================================================
--- main/trunk/greenstone2/build-src/packages/configure	(revision 29365)
+++ main/trunk/greenstone2/build-src/packages/configure	(revision 29366)
@@ -208,5 +208,5 @@
 echo ""
 cd "$PACKAGES/wget"
-gzip -dc wget.tar.gz | tar -xf -
+gzip -dc wget-1.15-gs.tar.gz | tar -xf -
 if test x$crossOS = "xandroid" ;
 then
@@ -216,5 +216,5 @@
 fi
 
-cd "$PACKAGES/wget/wget-1.13.4" && \
+cd "$PACKAGES/wget/wget-1.15-gs" && \
 #./configure $CACHE_FILE --prefix=$PACKAGES/wget --with-ssl=openssl --bindir="$bindir" -disable-nls $HOSTTARGETFLAGS $wget_extraargs
 ./configure $CACHE_FILE --prefix=$PACKAGES/wget --without-ssl --bindir="$bindir" -disable-nls $HOSTTARGETFLAGS $wget_extraargs
Index: main/trunk/greenstone2/build-src/packages/wget/README
===================================================================
--- main/trunk/greenstone2/build-src/packages/wget/README	(revision 29365)
+++ main/trunk/greenstone2/build-src/packages/wget/README	(revision 29366)
@@ -6,5 +6,5 @@
 The GNU wget homepage is http://www.cg.tuwien.ac.at/~prikryl/wget.html
 
-A couple of very small changes were made to this package by Stefan Boddie
+1) A couple of very small changes were made to this package by Stefan Boddie
 (sjboddie@cs.waikato.ac.nz). The USE_STDARG preprocessor definition was
 added to the VC++ makefile as it appeared to need it to compile on either
@@ -12,8 +12,8 @@
 mistakenly being converted to "@5c" on windows.
 
-2003/11/27 - sjboddie@cs.waikato.ac.nz made a few more small changes to fix
+2) 2003/11/27 - sjboddie@cs.waikato.ac.nz made a few more small changes to fix
 h_errno bug preventing code from compiling on latest versions of GCC.
 
-2004/06/30 - kjdon@cs.waikato.ac.nz replaced version 1.5.3 with version 1.9.
+3) 2004/06/30 - kjdon@cs.waikato.ac.nz replaced version 1.5.3 with version 1.9.
 It compiled as is under Windows XP, using VC++ 6.0, under Linux using GCC 3.2.3
 and GCC 2.95.3. So I haven't made any changes. 
@@ -24,5 +24,5 @@
 it in.
 
-2008/07/03 - oranfry@cs.waikato.ac.nz replaced version 1.9 with version 1.11.4.
+4) 2008/07/03 - oranfry@cs.waikato.ac.nz replaced version 1.9 with version 1.11.4.
 Version 1.9 didn't compile statically with the new libraries which come with
 fedora, so upgrading. Had to apply the patch at
@@ -34,5 +34,5 @@
 
 
-2013/01/09 - davidb@cs.waikato.ac.nz Make minor change to src/Makefile.in so the code compiles under minGW cross-compiler running on Linux
+5) 2013/01/09 - davidb@cs.waikato.ac.nz Make minor change to src/Makefile.in so the code compiles under minGW cross-compiler running on Linux
 diff -r wget-1.13.4/src/Makefile.in wget-1.13.4.MINGW/src/Makefile.in
 1136a1137,1143
@@ -45,5 +45,5 @@
 > 
 
-2013/01/29 - davidb@cs.waikato.ac.nz added some #ifdef __ANDROID__ blocks into src/util.c to cope with the fact that this OS lacks localeconv()
+6) 2013/01/29 - davidb@cs.waikato.ac.nz added some #ifdef __ANDROID__ blocks into src/util.c to cope with the fact that this OS lacks localeconv()
 
 diff wget-1.13.4-orig/src/utils.c wget-1.13.4-gs/src/utils.c
@@ -57,2 +57,7 @@
 > #endif
 
+7) 2014/10/13 - ak19
+Moved to wget version 1.15. 
+Only the changes numbered 5 and 6 above have been ported into it, following Dr Bainbridge's instructions, as there were both changes made to the previous wget version Greenstone used (1.13.4).
+The wget tar file name (wget-1.15-gs) now indicates the version number and that it has been modified by Greenstone, so the Makefile and configure file in build-src/packages/ have been updated to reflect this.
+