Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/HASH019c.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/HASH019c.dir/doc.xml	(revision 29404)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/HASH019c.dir/doc.xml	(revision 29405)
@@ -9,8 +9,8 @@
     <Metadata name="Author">Bronwyn</Metadata>
     <Metadata name="Title">biblio_for_dl_scientometrics.do</Metadata>
-    <Metadata name="URL">http://research/ak19/gs2-svn-22Aug2013/collect/Word-PDF-Formatting/tmp/1398926157_2/pdf03.html</Metadata>
-    <Metadata name="UTF8URL">http://research/ak19/gs2-svn-22Aug2013/collect/Word-PDF-Formatting/tmp/1398926157_2/pdf03.html</Metadata>
+    <Metadata name="URL">http://Scratch/ak19/gs2-svn-22Oct2014/collect/Word-PDF-Formatting/tmp/1414470426_2/pdf03.html</Metadata>
+    <Metadata name="UTF8URL">http://Scratch/ak19/gs2-svn-22Oct2014/collect/Word-PDF-Formatting/tmp/1414470426_2/pdf03.html</Metadata>
     <Metadata name="gsdlsourcefilename">import/pdf03.pdf</Metadata>
-    <Metadata name="gsdlconvertedfilename">tmp/1398926157_2/pdf03.html</Metadata>
+    <Metadata name="gsdlconvertedfilename">tmp/1414470426_2/pdf03.html</Metadata>
     <Metadata name="OrigSource">pdf03.html</Metadata>
     <Metadata name="Source">pdf03.pdf</Metadata>
@@ -27,8 +27,8 @@
     <Metadata name="dc.Title">Applications for Bibliometric Research in the Emerging Digital Libraries</Metadata>
     <Metadata name="ex.ExifTool.ExifToolVersion">8.57</Metadata>
-    <Metadata name="ex.File.Directory">/research/ak19/gs2-svn-22Aug2013/collect/Word-PDF-Formatting/import</Metadata>
-    <Metadata name="ex.File.FileModifyDate">2014:05:01 18:29:18+12:00</Metadata>
+    <Metadata name="ex.File.Directory">/Scratch/ak19/gs2-svn-22Oct2014/collect/Word-PDF-Formatting/import</Metadata>
+    <Metadata name="ex.File.FileModifyDate">2014:10:28 17:27:05+13:00</Metadata>
     <Metadata name="ex.File.FileName">pdf03.pdf</Metadata>
-    <Metadata name="ex.File.FilePermissions">644</Metadata>
+    <Metadata name="ex.File.FilePermissions">664</Metadata>
     <Metadata name="ex.File.FileSize">35935</Metadata>
     <Metadata name="ex.File.FileType">PDF</Metadata>
@@ -43,8 +43,8 @@
     <Metadata name="ex.PDF.Title">biblio_for_dl_scientometrics.do</Metadata>
     <Metadata name="Identifier">HASH019c5dca7f5bb781460a6b9c</Metadata>
-    <Metadata name="lastmodified">1398925758</Metadata>
-    <Metadata name="lastmodifieddate">20140501</Metadata>
-    <Metadata name="oailastmodified">1398926158</Metadata>
-    <Metadata name="oailastmodifieddate">20140501</Metadata>
+    <Metadata name="lastmodified">1414470425</Metadata>
+    <Metadata name="lastmodifieddate">20141028</Metadata>
+    <Metadata name="oailastmodified">1414470427</Metadata>
+    <Metadata name="oailastmodifieddate">20141028</Metadata>
     <Metadata name="assocfilepath">HASH019c.dir</Metadata>
     <Metadata name="gsdlassocfile">doc.pdf:application/pdf:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/HASH0791.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/HASH0791.dir/doc.xml	(revision 29404)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/HASH0791.dir/doc.xml	(revision 29405)
@@ -8,8 +8,8 @@
     <Metadata name="Encoding">utf8</Metadata>
     <Metadata name="Title">Authorship patterns in Information Systems</Metadata>
-    <Metadata name="URL">http://research/ak19/gs2-svn-22Aug2013/collect/Word-PDF-Formatting/tmp/1398926158/rtf01.html</Metadata>
-    <Metadata name="UTF8URL">http://research/ak19/gs2-svn-22Aug2013/collect/Word-PDF-Formatting/tmp/1398926158/rtf01.html</Metadata>
+    <Metadata name="URL">http://Scratch/ak19/gs2-svn-22Oct2014/collect/Word-PDF-Formatting/tmp/1414470427/rtf01.html</Metadata>
+    <Metadata name="UTF8URL">http://Scratch/ak19/gs2-svn-22Oct2014/collect/Word-PDF-Formatting/tmp/1414470427/rtf01.html</Metadata>
     <Metadata name="gsdlsourcefilename">import/rtf01.rtf</Metadata>
-    <Metadata name="gsdlconvertedfilename">tmp/1398926158/rtf01.html</Metadata>
+    <Metadata name="gsdlconvertedfilename">tmp/1414470427/rtf01.html</Metadata>
     <Metadata name="OrigSource">rtf01.html</Metadata>
     <Metadata name="Source">rtf01.rtf</Metadata>
@@ -25,8 +25,8 @@
     <Metadata name="dc.Creator">Stuart M. Dillon</Metadata>
     <Metadata name="Identifier">HASH079154443e2ecce7bb4208</Metadata>
-    <Metadata name="lastmodified">1398925758</Metadata>
-    <Metadata name="lastmodifieddate">20140501</Metadata>
-    <Metadata name="oailastmodified">1398926158</Metadata>
-    <Metadata name="oailastmodifieddate">20140501</Metadata>
+    <Metadata name="lastmodified">1414470425</Metadata>
+    <Metadata name="lastmodifieddate">20141028</Metadata>
+    <Metadata name="oailastmodified">1414470427</Metadata>
+    <Metadata name="oailastmodifieddate">20141028</Metadata>
     <Metadata name="assocfilepath">HASH0791.dir</Metadata>
     <Metadata name="gsdlassocfile">doc.rtf:application/rtf:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/HASH1a9c.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/HASH1a9c.dir/doc.xml	(revision 29404)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/HASH1a9c.dir/doc.xml	(revision 29405)
@@ -9,8 +9,8 @@
     <Metadata name="Author">Bronwyn</Metadata>
     <Metadata name="Title">Greenstone: A Comprehensive Open-Source Digital Library Software...</Metadata>
-    <Metadata name="URL">http://research/ak19/gs2-svn-22Aug2013/collect/Word-PDF-Formatting/tmp/1398926157_1/pdf01.html</Metadata>
-    <Metadata name="UTF8URL">http://research/ak19/gs2-svn-22Aug2013/collect/Word-PDF-Formatting/tmp/1398926157_1/pdf01.html</Metadata>
+    <Metadata name="URL">http://Scratch/ak19/gs2-svn-22Oct2014/collect/Word-PDF-Formatting/tmp/1414470426_1/pdf01.html</Metadata>
+    <Metadata name="UTF8URL">http://Scratch/ak19/gs2-svn-22Oct2014/collect/Word-PDF-Formatting/tmp/1414470426_1/pdf01.html</Metadata>
     <Metadata name="gsdlsourcefilename">import/pdf01.pdf</Metadata>
-    <Metadata name="gsdlconvertedfilename">tmp/1398926157_1/pdf01.html</Metadata>
+    <Metadata name="gsdlconvertedfilename">tmp/1414470426_1/pdf01.html</Metadata>
     <Metadata name="OrigSource">pdf01.html</Metadata>
     <Metadata name="Source">pdf01.pdf</Metadata>
@@ -28,10 +28,10 @@
     <Metadata name="dc.Creator">Stefan J. Boddie</Metadata>
     <Metadata name="dc.Creator">David Bainbridge</Metadata>
-    <Metadata name="dc.Title">Greenstone: A comprehensive open-source digital library software system</Metadata>
+    <Metadata name="dc.Title">Greenstone: A comprehensive open-source digital library software system - pdf</Metadata>
     <Metadata name="ex.ExifTool.ExifToolVersion">8.57</Metadata>
-    <Metadata name="ex.File.Directory">/research/ak19/gs2-svn-22Aug2013/collect/Word-PDF-Formatting/import</Metadata>
-    <Metadata name="ex.File.FileModifyDate">2014:05:01 18:29:18+12:00</Metadata>
+    <Metadata name="ex.File.Directory">/Scratch/ak19/gs2-svn-22Oct2014/collect/Word-PDF-Formatting/import</Metadata>
+    <Metadata name="ex.File.FileModifyDate">2014:10:28 17:27:05+13:00</Metadata>
     <Metadata name="ex.File.FileName">pdf01.pdf</Metadata>
-    <Metadata name="ex.File.FilePermissions">644</Metadata>
+    <Metadata name="ex.File.FilePermissions">664</Metadata>
     <Metadata name="ex.File.FileSize">269487</Metadata>
     <Metadata name="ex.File.FileType">PDF</Metadata>
@@ -45,8 +45,8 @@
     <Metadata name="ex.PDF.Producer">Acrobat PDFWriter 4.0 for Power Macintosh</Metadata>
     <Metadata name="Identifier">HASH1a9cea0f239f754007681b</Metadata>
-    <Metadata name="lastmodified">1398925758</Metadata>
-    <Metadata name="lastmodifieddate">20140501</Metadata>
-    <Metadata name="oailastmodified">1398926157</Metadata>
-    <Metadata name="oailastmodifieddate">20140501</Metadata>
+    <Metadata name="lastmodified">1414470425</Metadata>
+    <Metadata name="lastmodifieddate">20141028</Metadata>
+    <Metadata name="oailastmodified">1414470426</Metadata>
+    <Metadata name="oailastmodifieddate">20141028</Metadata>
     <Metadata name="assocfilepath">HASH1a9c.dir</Metadata>
     <Metadata name="gsdlassocfile">pdf01-2_1.jpg:image/jpeg:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/HASH8bbe.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/HASH8bbe.dir/doc.xml	(revision 29404)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/HASH8bbe.dir/doc.xml	(revision 29405)
@@ -9,5 +9,5 @@
     <Metadata name="Title">Bronwyn; page: 1 of 1 1 Using language models for generic entity extraction</Metadata>
     <Metadata name="gsdlsourcefilename">import/langmodl.ps</Metadata>
-    <Metadata name="gsdlconvertedfilename">tmp/1398926157/langmodl.text</Metadata>
+    <Metadata name="gsdlconvertedfilename">tmp/1414470426/langmodl.text</Metadata>
     <Metadata name="OrigSource">langmodl.text</Metadata>
     <Metadata name="Source">langmodl.ps</Metadata>
@@ -25,8 +25,8 @@
     <Metadata name="dc.Creator">W.J. Teahan</Metadata>
     <Metadata name="Identifier">HASH8bbe6da0374b413b1b355c</Metadata>
-    <Metadata name="lastmodified">1398925758</Metadata>
-    <Metadata name="lastmodifieddate">20140501</Metadata>
-    <Metadata name="oailastmodified">1398926157</Metadata>
-    <Metadata name="oailastmodifieddate">20140501</Metadata>
+    <Metadata name="lastmodified">1414470425</Metadata>
+    <Metadata name="lastmodifieddate">20141028</Metadata>
+    <Metadata name="oailastmodified">1414470426</Metadata>
+    <Metadata name="oailastmodifieddate">20141028</Metadata>
     <Metadata name="assocfilepath">HASH8bbe.dir</Metadata>
     <Metadata name="gsdlassocfile">doc.ps:application/postscript:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/HASHeaa2.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/HASHeaa2.dir/doc.xml	(revision 29404)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/HASHeaa2.dir/doc.xml	(revision 29405)
@@ -9,8 +9,8 @@
     <Metadata name="GENERATOR">wvWare/wvWare version 1.2.4</Metadata>
     <Metadata name="Title">1997-00 Listing of Working Papers</Metadata>
-    <Metadata name="URL">http://research/ak19/gs2-svn-22Aug2013/collect/Word-PDF-Formatting/tmp/1398926158_1/word01.html</Metadata>
-    <Metadata name="UTF8URL">http://research/ak19/gs2-svn-22Aug2013/collect/Word-PDF-Formatting/tmp/1398926158_1/word01.html</Metadata>
+    <Metadata name="URL">http://Scratch/ak19/gs2-svn-22Oct2014/collect/Word-PDF-Formatting/tmp/1414470427_1/word01.html</Metadata>
+    <Metadata name="UTF8URL">http://Scratch/ak19/gs2-svn-22Oct2014/collect/Word-PDF-Formatting/tmp/1414470427_1/word01.html</Metadata>
     <Metadata name="gsdlsourcefilename">import/word01.doc</Metadata>
-    <Metadata name="gsdlconvertedfilename">tmp/1398926158_1/word01.html</Metadata>
+    <Metadata name="gsdlconvertedfilename">tmp/1414470427_1/word01.html</Metadata>
     <Metadata name="OrigSource">word01.html</Metadata>
     <Metadata name="Source">word01.doc</Metadata>
@@ -24,8 +24,8 @@
     <Metadata name="srclinkFile">doc.doc</Metadata>
     <Metadata name="Identifier">HASHeaa2992e081949673150f3</Metadata>
-    <Metadata name="lastmodified">1398925758</Metadata>
-    <Metadata name="lastmodifieddate">20140501</Metadata>
-    <Metadata name="oailastmodified">1398926158</Metadata>
-    <Metadata name="oailastmodifieddate">20140501</Metadata>
+    <Metadata name="lastmodified">1414470425</Metadata>
+    <Metadata name="lastmodifieddate">20141028</Metadata>
+    <Metadata name="oailastmodified">1414470427</Metadata>
+    <Metadata name="oailastmodifieddate">20141028</Metadata>
     <Metadata name="assocfilepath">HASHeaa2.dir</Metadata>
     <Metadata name="gsdlassocfile">doc.doc:application/msword:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/HASHeaa2/9d2e0811.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/HASHeaa2/9d2e0811.dir/doc.xml	(revision 29404)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/HASHeaa2/9d2e0811.dir/doc.xml	(revision 29405)
@@ -9,8 +9,8 @@
     <Metadata name="GENERATOR">wvWare/wvWare version 1.2.4</Metadata>
     <Metadata name="Title">Greenstone: A Comprehensive Open-Source</Metadata>
-    <Metadata name="URL">http://research/ak19/gs2-svn-22Aug2013/collect/Word-PDF-Formatting/tmp/1398926158_2/word03.html</Metadata>
-    <Metadata name="UTF8URL">http://research/ak19/gs2-svn-22Aug2013/collect/Word-PDF-Formatting/tmp/1398926158_2/word03.html</Metadata>
+    <Metadata name="URL">http://Scratch/ak19/gs2-svn-22Oct2014/collect/Word-PDF-Formatting/tmp/1414470427_2/word03.html</Metadata>
+    <Metadata name="UTF8URL">http://Scratch/ak19/gs2-svn-22Oct2014/collect/Word-PDF-Formatting/tmp/1414470427_2/word03.html</Metadata>
     <Metadata name="gsdlsourcefilename">import/word03.doc</Metadata>
-    <Metadata name="gsdlconvertedfilename">tmp/1398926158_2/word03.html</Metadata>
+    <Metadata name="gsdlconvertedfilename">tmp/1414470427_2/word03.html</Metadata>
     <Metadata name="OrigSource">word03.html</Metadata>
     <Metadata name="Source">word03.doc</Metadata>
@@ -27,10 +27,10 @@
     <Metadata name="dc.Creator">Stefan J. Boddie</Metadata>
     <Metadata name="dc.Creator">David Bainbridge</Metadata>
-    <Metadata name="dc.Title">Greenstone: A comprehensive open-source digital library software system</Metadata>
+    <Metadata name="dc.Title">Greenstone: A comprehensive open-source digital library software system - doc</Metadata>
     <Metadata name="Identifier">HASHeaa29d2e081149673150f3</Metadata>
-    <Metadata name="lastmodified">1398925758</Metadata>
-    <Metadata name="lastmodifieddate">20140501</Metadata>
-    <Metadata name="oailastmodified">1398926159</Metadata>
-    <Metadata name="oailastmodifieddate">20140501</Metadata>
+    <Metadata name="lastmodified">1414470425</Metadata>
+    <Metadata name="lastmodifieddate">20141028</Metadata>
+    <Metadata name="oailastmodified">1414470428</Metadata>
+    <Metadata name="oailastmodifieddate">20141028</Metadata>
     <Metadata name="assocfilepath">HASHeaa2/9d2e0811.dir</Metadata>
     <Metadata name="gsdlassocfile">word030.png:image/png:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/HASHeaa2/a12e0809.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/HASHeaa2/a12e0809.dir/doc.xml	(revision 29404)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/HASHeaa2/a12e0809.dir/doc.xml	(revision 29405)
@@ -9,8 +9,8 @@
     <Metadata name="GENERATOR">wvWare/wvWare version 1.2.4</Metadata>
     <Metadata name="Title">How to build your own digital library with Greenstone</Metadata>
-    <Metadata name="URL">http://research/ak19/gs2-svn-22Aug2013/collect/Word-PDF-Formatting/tmp/1398926159/word05.html</Metadata>
-    <Metadata name="UTF8URL">http://research/ak19/gs2-svn-22Aug2013/collect/Word-PDF-Formatting/tmp/1398926159/word05.html</Metadata>
+    <Metadata name="URL">http://Scratch/ak19/gs2-svn-22Oct2014/collect/Word-PDF-Formatting/tmp/1414470428/word05.html</Metadata>
+    <Metadata name="UTF8URL">http://Scratch/ak19/gs2-svn-22Oct2014/collect/Word-PDF-Formatting/tmp/1414470428/word05.html</Metadata>
     <Metadata name="gsdlsourcefilename">import/word05.doc</Metadata>
-    <Metadata name="gsdlconvertedfilename">tmp/1398926159/word05.html</Metadata>
+    <Metadata name="gsdlconvertedfilename">tmp/1414470428/word05.html</Metadata>
     <Metadata name="OrigSource">word05.html</Metadata>
     <Metadata name="Source">word05.doc</Metadata>
@@ -27,8 +27,8 @@
     <Metadata name="dc.Title">GREENSTONE DIGITAL LIBRARY INSTALLERâS GUIDE</Metadata>
     <Metadata name="Identifier">HASHeaa2a12e080949673150f3</Metadata>
-    <Metadata name="lastmodified">1398925758</Metadata>
-    <Metadata name="lastmodifieddate">20140501</Metadata>
-    <Metadata name="oailastmodified">1398926159</Metadata>
-    <Metadata name="oailastmodifieddate">20140501</Metadata>
+    <Metadata name="lastmodified">1414470425</Metadata>
+    <Metadata name="lastmodifieddate">20141028</Metadata>
+    <Metadata name="oailastmodified">1414470428</Metadata>
+    <Metadata name="oailastmodifieddate">20141028</Metadata>
     <Metadata name="assocfilepath">HASHeaa2/a12e0809.dir</Metadata>
     <Metadata name="gsdlassocfile">word050.wmf:unknown:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/HASHeaa2/a32e0805.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/HASHeaa2/a32e0805.dir/doc.xml	(revision 29404)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/HASHeaa2/a32e0805.dir/doc.xml	(revision 29405)
@@ -9,8 +9,8 @@
     <Metadata name="GENERATOR">wvWare/wvWare version 1.2.4</Metadata>
     <Metadata name="Title">Evolving Tool Support for Digital Librarians</Metadata>
-    <Metadata name="URL">http://research/ak19/gs2-svn-22Aug2013/collect/Word-PDF-Formatting/tmp/1398926160/word06.html</Metadata>
-    <Metadata name="UTF8URL">http://research/ak19/gs2-svn-22Aug2013/collect/Word-PDF-Formatting/tmp/1398926160/word06.html</Metadata>
+    <Metadata name="URL">http://Scratch/ak19/gs2-svn-22Oct2014/collect/Word-PDF-Formatting/tmp/1414470428_1/word06.html</Metadata>
+    <Metadata name="UTF8URL">http://Scratch/ak19/gs2-svn-22Oct2014/collect/Word-PDF-Formatting/tmp/1414470428_1/word06.html</Metadata>
     <Metadata name="gsdlsourcefilename">import/word06.doc</Metadata>
-    <Metadata name="gsdlconvertedfilename">tmp/1398926160/word06.html</Metadata>
+    <Metadata name="gsdlconvertedfilename">tmp/1414470428_1/word06.html</Metadata>
     <Metadata name="OrigSource">word06.html</Metadata>
     <Metadata name="Source">word06.doc</Metadata>
@@ -27,8 +27,8 @@
     <Metadata name="dc.Title">COMPUTATIONAL SENSE: THE ROLE OF TECHNOLOGY IN THE EDUCATION OF DIGITAL LIBRARIANS</Metadata>
     <Metadata name="Identifier">HASHeaa2a32e080549673150f3</Metadata>
-    <Metadata name="lastmodified">1398925758</Metadata>
-    <Metadata name="lastmodifieddate">20140501</Metadata>
-    <Metadata name="oailastmodified">1398926160</Metadata>
-    <Metadata name="oailastmodifieddate">20140501</Metadata>
+    <Metadata name="lastmodified">1414470425</Metadata>
+    <Metadata name="lastmodifieddate">20141028</Metadata>
+    <Metadata name="oailastmodified">1414470429</Metadata>
+    <Metadata name="oailastmodifieddate">20141028</Metadata>
     <Metadata name="assocfilepath">HASHeaa2/a32e0805.dir</Metadata>
     <Metadata name="gsdlassocfile">doc.doc:application/msword:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/rss-items.rdf
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/rss-items.rdf	(revision 29404)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/rss-items.rdf	(revision 29405)
@@ -4,5 +4,5 @@
 </item>
 <item>
-   <title>Greenstone: A comprehensive open-source digital library software system</title>
+   <title>Greenstone: A comprehensive open-source digital library software system - pdf</title>
    <link>_httpdomainHtmlsafe__httpcollection_/document/HASH1a9cea0f239f754007681b</link>
 </item>
@@ -20,5 +20,5 @@
 </item>
 <item>
-   <title>Greenstone: A comprehensive open-source digital library software system</title>
+   <title>Greenstone: A comprehensive open-source digital library software system - doc</title>
    <link>_httpdomainHtmlsafe__httpcollection_/document/HASHeaa29d2e081149673150f3</link>
 </item>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/etc/collect.cfg
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/etc/collect.cfg	(revision 29404)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/etc/collect.cfg	(revision 29405)
@@ -36,5 +36,5 @@
 classify	List -metadata dc.Title;ex.Title -partition_type_within_level approximate_size
 
-classify	AZCompactList -metadata dc.Creator -firstvalueonly
+classify	AZCompactList -metadata dc.Creator -firstvalueonly -sort dc.Title
 
 format VList "<td valign=\"top\">[link][icon][/link]</td>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/import/metadata.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/import/metadata.xml	(revision 29404)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/import/metadata.xml	(revision 29405)
@@ -5,5 +5,5 @@
 		<FileName>pdf01\.pdf</FileName>
 		<Description>
-			<Metadata mode="accumulate" name="dc.Title">Greenstone: A comprehensive open-source digital library software system</Metadata>
+			<Metadata mode="accumulate" name="dc.Title">Greenstone: A comprehensive open-source digital library software system - pdf</Metadata>
 			<Metadata mode="accumulate" name="dc.Creator">Ian H. Witten</Metadata>
 			<Metadata mode="accumulate" name="dc.Creator">Rodger J. McNab</Metadata>
@@ -15,5 +15,5 @@
 		<FileName>word03\.doc</FileName>
 		<Description>
-			<Metadata mode="accumulate" name="dc.Title">Greenstone: A comprehensive open-source digital library software system</Metadata>
+			<Metadata mode="accumulate" name="dc.Title">Greenstone: A comprehensive open-source digital library software system - doc</Metadata>
 			<Metadata mode="accumulate" name="dc.Creator">Ian H. Witten</Metadata>
 			<Metadata mode="accumulate" name="dc.Creator">Rodger J. McNab</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/index/build.cfg
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/index/build.cfg	(revision 29404)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/index/build.cfg	(revision 29405)
@@ -1,5 +1,5 @@
-builddate	1398926161
+builddate	1414470430
 buildtype	mgpp
-earliestdatestamp	1398926156
+earliestdatestamp	1414470425
 indexfieldmap	text->TX	dc.Title,ex.dc.Title,Title->TI	dc.Creator->CR
 indexfields	text	dc.Title,ex.dc.Title,Title	dc.Creator
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/index/rss-items.rdf
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/index/rss-items.rdf	(revision 29404)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/index/rss-items.rdf	(revision 29405)
@@ -4,5 +4,5 @@
 </item>
 <item>
-   <title>Greenstone: A comprehensive open-source digital library software system</title>
+   <title>Greenstone: A comprehensive open-source digital library software system - pdf</title>
    <link>_httpdomainHtmlsafe__httpcollection_/document/HASH1a9cea0f239f754007681b</link>
 </item>
@@ -20,5 +20,5 @@
 </item>
 <item>
-   <title>Greenstone: A comprehensive open-source digital library software system</title>
+   <title>Greenstone: A comprehensive open-source digital library software system - doc</title>
    <link>_httpdomainHtmlsafe__httpcollection_/document/HASHeaa29d2e081149673150f3</link>
 </item>