Index: /main/trunk/model-sites-dev/von-sparql/transform/pages/compare.xsl
===================================================================
--- /main/trunk/model-sites-dev/von-sparql/transform/pages/compare.xsl	(revision 29451)
+++ /main/trunk/model-sites-dev/von-sparql/transform/pages/compare.xsl	(revision 29451)
@@ -0,0 +1,293 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:java="http://xml.apache.org/xslt/java"
+	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
+	xmlns:gslib="http://www.greenstone.org/skinning"
+	extension-element-prefixes="java util"
+	exclude-result-prefixes="java util">
+
+	<!-- use the 'main' layout -->
+	<xsl:include href="layouts/main.xsl"/>
+
+	<!-- set page title -->
+	<xsl:template name="pageTitle"><gslib:collectionName/></xsl:template>
+
+	<!-- set page breadcrumbs -->
+	<xsl:template name="breadcrumbs"><gslib:siteLink/><gslib:rightArrow/></xsl:template>
+
+	<xsl:variable name="coll_name"><gslib:collectionName/></xsl:variable>
+	<xsl:variable name="coll_name_short"><gslib:collectionNameShort/></xsl:variable>
+	<xsl:template name="overview">
+
+		<link rel="stylesheet" type="text/css" href="sites/{$site_name}/transform/pages/style.css"/>
+		<link rel="stylesheet" type="text/css" href="sites/{$site_name}/js/jquery-ui-extra/turnstyle-block.css"/>
+		<link rel="stylesheet" type="text/css" href="sites/{$site_name}/js/jqGrid/ui.jqgrid.css"/>
+
+		<script type="text/javascript" src="https://www.google.com/jsapi"><xsl:text> </xsl:text></script>
+		<script type="text/javascript" src="http://beta.data2000.no/sgvizler/release/0.6/sgvizler.js"><xsl:text> </xsl:text></script>
+		<script type="text/javascript" src="sites/{$site_name}/js/combobox.js"><xsl:text> </xsl:text></script>
+		<script type="text/javascript" src="sites/{$site_name}/js/paper/dist/paper.js"><xsl:text> </xsl:text></script>
+		<script type="text/javascript" src="sites/{$site_name}/js/jquery-ui-extra/turnstyle-block.js"><xsl:text> </xsl:text></script>
+		<script type="text/javascript" src="sites/{$site_name}/js/table2CSV.js" ><xsl:text> </xsl:text></script> 
+
+		<script type="text/javascript" src="sites/{$site_name}/js/jqGrid/grid.locale-en.js"><xsl:text> </xsl:text></script>
+		<script type="text/javascript" src="sites/{$site_name}/js/jqGrid/jquery.jqGrid.min.js"><xsl:text> </xsl:text></script>
+
+		<script type="text/paperscript" canvas="venn" src="sites/{$site_name}/js/von-sparql-venn.js"> <xsl:text> </xsl:text></script>
+		<script type="text/javascript" src="sites/{$site_name}/js/von-sparql-comparison-setup.js"><xsl:text> </xsl:text></script>
+		<script type="text/javascript" src="sites/{$site_name}/js/von-sparql-comparison-script.js"><xsl:text> </xsl:text></script>
+
+		<xsl:variable name="protocol" select="substring-before(/page/pageRequest/@baseURL,':')"/>
+		<xsl:variable name="baseURL" select="substring-after(/page/pageRequest/@baseURL,':')"/>
+		<xsl:variable name="domain" select="substring-before($baseURL,':')"/>
+		<xsl:variable name="endpointPath" select="concat($protocol,':',$domain,':3030/greenstone/query')"/>
+
+		<div id="div_comparisonSettings">
+			<div id="div_selectCollections">
+				<label>Select Collections: </label>
+				<select id="sel_leftCollection">
+					<option value="filler">filler</option>
+				</select>
+
+				<select id="sel_rightCollection">
+					<option value="filler2">filler2</option>
+				</select>
+			</div>
+		
+			<div id="div_quickSearch">
+				<input type="checkbox" id="cb_quickSearch"/>
+				<label for="cb_quickSearch">Enable Quick-Search</label>
+			</div>
+		</div>
+		<div id="div_queryWrapper">
+			<div id="div_leftQuery">
+				<div class="collectionNameDiv" id="div_leftName">
+					<span class="collectionName" id="span_leftName"><xsl:comment>Filler</xsl:comment></span>
+				</div>
+				<div class="overview" id="div_leftOverview">
+					<xsl:comment>Filler</xsl:comment>
+				</div>
+				<div id="div_leftRefineControls">
+					<table class="basicControls" id="table_leftBasicControls">
+						<col width="150px"/>
+						<tr>
+							<td class="searchControls"><label for="sel_leftPredicate">Select Predicate:</label></td>
+							<td class="searchControls"><select id="sel_leftPredicate">
+								<option value="None"></option>
+							</select>
+							</td>
+						</tr>
+						<tr>
+							<td style="width:100%; text-align: left;" colspan="2">
+								<input type="checkbox" id="cb_leftRefineSearch"/>
+								<label for="cb_leftRefineSearch">Refine search</label>
+							</td>
+						</tr>
+					</table>
+
+					<table class="refineControls" id="table_leftRefineControls">
+						<col width="150px"/>
+						<tr>
+							<td><label for="sel_leftPredicateValue">Value:</label></td>
+							<td><select id="sel_leftPredicateValue" enabled='false'>
+								<option value="None">Select predicate above</option>
+							</select>
+							</td>
+						</tr>
+						<tr>
+							<td>
+							<label for="sel_leftVisualizePredicate">Visualize Predicate:</label>
+							</td>
+							<td>
+							<select id="sel_leftVisualizePredicate" enabled='false'>
+								<option value="None"></option>
+							</select>
+							</td>
+						</tr>
+					</table>					
+				</div>
+
+				<div class="searchControls" id="div_leftSearchControls">
+					<select id="sel_leftLimit">
+						<option value="None">No Limit</option>
+						<option value="10">10</option>
+						<option value="25">25</option>
+						<option value="50">50</option>
+						<option value="75">75</option>
+						<option value="100">100</option>
+					</select>
+					<select id="sel_leftChartType">
+						<option value="google.visualization.Table">Table</option>
+						<option value="google.visualization.PieChart">PieChart</option>
+					</select>
+					<button type="button" id="btn_leftShowChart" class="formButton">Execute Query</button>
+					<button type="button" id="btn_leftShowQuery" class="formButton">Show Query</button>
+				</div>
+
+				<div class="filteredDatasetTable" id="div_leftFilteredDataset">
+					<xsl:comment> Filler </xsl:comment>
+				</div>
+
+				<div class="submitToComparison" id="div_leftSubmit">
+					<button type="button" id="btn_leftSubmitQuery" class="formButton">Submit to Comparison</button>
+					<div id="div_leftIndicator" class="colorIndicator"><xsl:comment>Filler</xsl:comment></div>
+				</div>
+			</div>
+
+
+			<div id="div_rightQuery">
+				<div class="collectionNameDiv" id="div_rightName">
+					<span class="collectionName" id="span_rightName"><xsl:comment>Filler</xsl:comment></span>
+				</div>
+				<div class="overview" id="div_rightOverview">
+					<xsl:comment>Filler</xsl:comment>
+				</div>
+				<div id="div_rightRefineControls">
+					<table class="basicControls" id="table_rightBasicControls">
+						<col width="150px"/>
+						<tr>
+							<td class="searchControls"><label for="sel_rightPredicate">Select Predicate:</label></td>
+							<td class="searchControls"><select id="sel_rightPredicate">
+								<option value="None"></option>
+							</select>
+							</td>
+						</tr>
+						<tr>
+							<td style="width:100%; text-align: left;" colspan="2">
+								<input type="checkbox" id="cb_rightRefineSearch"/>
+								<label for="cb_rightRefineSearch">Refine search</label>
+							</td>
+						</tr>
+					</table>
+
+					<table class="refineControls" id="table_rightRefineControls">
+						<col width="150px"/>
+						<tr>
+							<td><label for="sel_rightPredicateValue">Value:</label></td>
+							<td><select id="sel_rightPredicateValue" enabled='false'>
+								<option value="None">Select predicate above</option>
+							</select>
+							</td>
+						</tr>
+						<tr>
+							<td>
+							<label for="sel_rightVisualizePredicate">Visualize Predicate:</label>
+							</td>
+							<td>
+							<select id="sel_rightVisualizePredicate" enabled='false'>
+								<option value="None"></option>
+							</select>
+							</td>
+						</tr>
+					</table>
+				</div>
+				<div class="searchControls" id="div_rightSearchControls">
+					<select id="sel_rightLimit">
+						<option value="None">No Limit</option>
+						<option value="10">10</option>
+						<option value="25">25</option>
+						<option value="50">50</option>
+						<option value="75">75</option>
+						<option value="100">100</option>
+					</select>
+					<select id="sel_rightChartType">
+						<option value="google.visualization.Table">Table</option>
+						<option value="google.visualization.PieChart">PieChart</option>
+					</select>
+					<button type="button" id="btn_rightShowChart" class="formButton">Execute Query</button>
+					<button type="button" id="btn_rightShowQuery" class="formButton">Show Query</button>
+				</div>
+
+				<div class="filteredDatasetTable" id="div_rightFilteredDataset">
+					<xsl:comment> Filler </xsl:comment>
+				</div>
+
+				<div class="submitToComparison" id="div_rightSubmit">
+					<button type="button" id="btn_rightSubmitQuery" class="formButton">Submit to Comparison</button>
+					<div id="div_rightIndicator" class="colorIndicator"><xsl:comment>Filler</xsl:comment></div>
+				</div>
+			</div>
+		</div>
+		<div id="div_comparisonWrapper">
+			<div id="div_venn">
+				<h3>
+				Venn Diagram Intersection
+				</h3>
+				<canvas id="venn">
+					<xsl:comment>Filler</xsl:comment>
+				</canvas>
+				<div id="div_combinedQuery">
+					<label for="sel_comparisonMethod">Apply Regular Expression: </label>
+					<select id="sel_comparisonMethod" class="searchControls">
+						<option value="exact">None</option>
+						<option value="numeric">Extract Numeric Characters</option>
+						<option value="10numeric">First 10 Digits</option>
+						<option value="10char">First 10 Characters</option>
+					</select>
+					<br/>
+					<label for="sel_comparisonLimit">Page Size:</label>
+					<select id="sel_comparisonLimit" class="searchControls">
+						<option value="10">10</option>
+						<option value="20">20</option>
+						<option value="30">30</option>
+					</select>	
+					<br/>
+					<input type="checkbox" id="cb_showOnlyCommonObjects" class="searchControls"/>
+					<label for="cb_showOnlyCommonObjects">Show only common objects</label>
+					<br/>
+					<div id="div_resultPredicates">
+						<label for="sel_comparisonPredicate">Show Predicate: </label>
+						<select id="sel_comparisonPredicate">
+							<xsl:comment>Filler</xsl:comment>
+						</select>
+						<br/>
+						<select id="sel_comparisonPredicate1">
+							<xsl:comment>Filler</xsl:comment>
+						</select>
+						<br/>
+						<select id="sel_comparisonPredicate2">
+							<xsl:comment>Filler</xsl:comment>
+						</select>
+					</div>
+				</div>
+			</div>
+			<div id="div_combinedResults">
+				Page:
+				<button type="button" id="btn_comparisonPagePrev" class="formButton">&lt;&lt;</button>
+				<span id = "span_PageNum">1</span>
+				<button type="button" id="btn_comparisonPageNext" class="formButton">&gt;&gt;</button>
+				<button type="button" id="btn_exportCSV" class="formButton">Export as CSV</button>
+				<br/>
+				<div id="div_combinedResultsVisualization">
+					<xsl:comment>Filler</xsl:comment>
+				</div>
+				<!--<table id="table_combinedResults">
+					<xsl:comment>Filler</xsl:comment>
+				</table>
+				<div id="div_combinedResultsPager">
+					<xsl:comment>Filler</xsl:comment>
+				</div>-->
+			</div>
+		</div>
+	<br/>
+		<script type="text/javascript">
+			<xsl:text disable-output-escaping="yes">
+				<![CDATA[
+					google.setOnLoadCallback(setupPage);
+				]]>
+			  </xsl:text>
+		</script>
+	</xsl:template>	
+
+	<!-- the page content -->
+	<xsl:template match="/page">
+  
+		<xsl:call-template name="overview"/>
+		
+	</xsl:template>
+
+
+
+</xsl:stylesheet>  
+